<?php

if (!defined("WHMCS")) {
    exit("This file cannot be accessed directly");
}
add_hook("ClientAreaPage", 1, "Redirect_ClientAreaPage_Hook");
function Redirect_GetUrl()
{
    $protocol = $_SERVER["HTTPS"] == "on" ? "https" : "http";
    return $protocol . "://" . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"];
}
function Redirect_ClientAreaPage_Hook($vars)
{
    $data = Illuminate\Database\Capsule\Manager::table("mod_redirect")->where("status", "0")->where("oldurl", redirect_geturl())->first();
    $id = $data->id;
    $retime = $data->retime;
    $newurl = $data->newurl;
    if ($id && $retime != "0") {
        header("Refresh: " . $retime . "; URL=" . $newurl);
    } else {
        if ($retime == "0") {
            header("Location: " . $newurl);
        }
    }
}

?>