<?php

if (!defined("WHMCS")) {
    exit("This file cannot be accessed directly");
}
if ($_REQUEST["p"] == "") {
    if ($_REQUEST["success"]) {
        echo " <script>\$(document).ready( function(){ window.setTimeout( function(){ \$(\".alert\").slideUp(); }, 2500);});</script>";
        echo "<div class=\"alert alert-success\" style=\"font-size:14px\"><strong><span class=\"fa fa-check\"></span> " . $LANG["success"] . "</strong> " . $LANG["successhelp"] . "</div>";
    }
  
    echo "<p><a class=\"btn btn-primary\" href=\"" . $modulelink . "&p=manage\" role=\"button\"><i class=\"fa fa-plus\"></i> " . "创建新的重定向链接". "</a></p>";
    echo "<div class=\"panel panel-default\">\n          <table class=\"table table-striped table-hover\">\n            <thead>\n              <tr>\n                <th>" . $LANG["title"] . "</th>\n                <th>" . $LANG["oldurl"] . "</th>\n                <th>" . $LANG["newurl"] . "</th>\n                <th>" . $LANG["time"] . "</th>\n                <th>" . $LANG["status"] . "</th>\n                <th></th>\n              </tr>\n            </thead>\n            <tbody>";
    $result = Illuminate\Database\Capsule\Manager::table("mod_redirect")->orderBy("id", "DESC")->get();
    foreach ($result as $data) {
        $id = $data->id;
        $title = $data->title;
        $oldurl = $data->oldurl;
        $newurl = $data->newurl;
        $retime = $data->retime;
        $status = $data->status;
        $statusuot = $status ? "<span class=\"label closed\">" . $LANG["disable"] . "</span>" : "<span class=\"label active\">" . $LANG["enable"] . "</span>";
        $statusbuttons = $status ? "<a href=\"" . $modulelink . "&p=enable&id=" . $id . "\" class=\"btn btn-default btn-sm\"><i class=\"fa fa-check\"></i> " . $LANG["enable"] . "</a>" : "<a href=\"" . $modulelink . "&p=disable&id=" . $id . "\" class=\"btn btn-warning btn-sm\"><i class=\"fa fa-ban\"></i> " . $LANG["disable"] . "</a>";
        echo "<tr>\n                <td style=\"padding-top: 13px;\">" . $title . "</td>\n                <td style=\"padding-top: 13px;\"><a href=\"" . $oldurl . "\" target=\"_blank\">" . $oldurl . "</a></td>\n                <td style=\"padding-top: 13px;\"><a href=\"" . $newurl . "\" target=\"_blank\">" . $newurl . "</a></td>\n                <td style=\"padding-top: 13px;\">" . $retime . "</td>\n                <td style=\"padding-top: 13px;\">" . $statusuot . "</td>\n                <td>\n                  " . $statusbuttons . "\n                  <a href=\"" . $modulelink . "&p=manage&id=" . $id . "\" class=\"btn btn-success btn-sm\"><i class=\"fa fa-pencil-square-o\"></i> " . $LANG["edit"] . "</a>\n                  <a href=\"" . $modulelink . "&p=delete&id=" . $id . "\" class=\"btn btn-danger btn-sm\" onclick=\"return confirm('" . $LANG["deletehelp"] . "');\"><i class=\"fa fa-trash-o\"></i> " . $LANG["delete"] . "</a>\n                </td>\n              </tr>";
    }
    if (!$id) {
        echo "<tr>\n            <td colspan=\"6\" class=\"text-center\">" . $LANG["norecordsfound"] . "</td>\n          </tr>";
    }
    echo "</tbody>\n          </table>\n        </div>";
}
if ($_REQUEST["p"] == "manage") {
    $id = $_REQUEST["id"];
    $retime = 0;
    if ($id) {
        $data = Illuminate\Database\Capsule\Manager::table("mod_redirect")->where("id", $id)->first();
        $title = $data->title;
        $oldurl = $data->oldurl;
        $newurl = $data->newurl;
        $retime = $data->retime;
        $status = $data->status;
    }
    echo "<h1><span class=\"fa fa-edit\"></span> ";
    if ($id) {
        echo $LANG["editredirect"];
    } else {
        echo $LANG["createnewredirect"];
    }
    echo "</h1>";
    echo "<form name=\"form\" action=\"" . $modulelink . "&p=save&id=" . $id . "\" method=\"POST\" class=\"form-horizontal\">\n          <div class=\"panel panel-default\">\n            <div class=\"panel-heading\">\n              <a href=\"" . $modulelink . "\" class=\"btn btn-danger btn-sm\"><i class=\"fa fa-chevron-left\"></i> " . $LANG["back"] . "</a>\n              <button type=\"submit\" class=\"btn btn-success btn-sm\"><i class=\"fa fa-check\"></i> " . $LANG["savechanges"] . "</button>\n              <button type=\"reset\" class=\"btn btn-default btn-sm\"><i class=\"fa fa-times\"></i> " . $LANG["cancel"] . "</button>\n            </div>\n            <div class=\"panel-body\">\n              <div class=\"form-group\">\n                <label class=\"col-md-3 control-label\">" . $LANG["title"] . "</label>\n                <div class=\"col-md-6\">\n                  <input type=\"text\" name=\"title\" value=\"" . $title . "\" class=\"form-control\"> \n                </div>\n              </div>\n              <div class=\"form-group\">\n                <label class=\"col-md-3 control-label\">" . $LANG["oldurl"] . "</label>\n                <div class=\"col-md-6\">\n                  <input type=\"text\" name=\"oldurl\" value=\"" . $oldurl . "\" class=\"form-control\"> \n                  <span class=\"help-block\">" . $LANG["fullurlhelp"] . "</span>\n                </div>\n              </div>\n              <div class=\"form-group\">\n                <label class=\"col-md-3 control-label\">" . $LANG["newurl"] . "</label>\n                <div class=\"col-md-6\">\n                  <input type=\"text\" name=\"newurl\" value=\"" . $newurl . "\" class=\"form-control\"> \n                  <span class=\"help-block\">" . $LANG["fullurlhelp"] . "</span>\n                </div>\n              </div>\n              <div class=\"form-group\">\n                <label class=\"col-md-3 control-label\">" . $LANG["redirecttime"] . "</label>\n                <div class=\"col-md-4\">\n                  <input type=\"text\" name=\"retime\" value=\"" . $retime . "\" class=\"form-control\"> \n                  <span class=\"help-block\">" . $LANG["redirecttimehelp"] . "</span>\n                </div>\n              </div>\n              <div class=\"form-group\">\n                <label class=\"col-md-3 control-label\">" . $LANG["disable"] . "</label>\n                <div class=\"col-md-6\">\n                  <div class=\"checkbox\">\n                    <label>\n                      <input type=\"checkbox\" name=\"status\" ";
    if ($status) {
        echo "CHECKED";
    }
    echo ">" . $LANG["disablehelp"] . "\n                    </label>\n                  </div>\n                </div>\n              </div>\n            </div>\n            <div class=\"panel-footer\">\n              <a href=\"" . $modulelink . "\" class=\"btn btn-danger btn-sm\"><i class=\"fa fa-chevron-left\"></i> " . $LANG["back"] . "</a>\n              <button type=\"submit\" class=\"btn btn-success btn-sm\"><i class=\"fa fa-check\"></i> " . $LANG["savechanges"] . "</button>\n              <button type=\"reset\" class=\"btn btn-default btn-sm\"><i class=\"fa fa-times\"></i> " . $LANG["cancel"] . "</button>\n            </div>\n          </div>\n        </form>";
}
if ($_REQUEST["p"] == "save") {
    $id = $_REQUEST["id"];
    $title = $_REQUEST["title"];
    $oldurl = $_REQUEST["oldurl"];
    $newurl = $_REQUEST["newurl"];
    $retime = $_REQUEST["retime"];
    $status = $_REQUEST["status"];
    if (!$status) {
        $status = "0";
    }
    if ($id) {
        Illuminate\Database\Capsule\Manager::table("mod_redirect")->where("id", $id)->update(array("title" => $title, "oldurl" => $oldurl, "newurl" => $newurl, "retime" => $retime, "status" => $status));
    } else {
        Illuminate\Database\Capsule\Manager::table("mod_redirect")->insert(array("title" => $title, "oldurl" => $oldurl, "newurl" => $newurl, "retime" => $retime, "status" => $status));
    }
    header("Location: " . $modulelink . "&success=true");
    exit;
}
if ($_REQUEST["p"] == "delete") {
    $id = $_REQUEST["id"];
    Illuminate\Database\Capsule\Manager::table("mod_redirect")->where("id", $id)->delete();
    header("Location: " . $modulelink);
    exit;
}
if ($_REQUEST["p"] == "enable") {
    $id = $_REQUEST["id"];
    Illuminate\Database\Capsule\Manager::table("mod_redirect")->where("id", $id)->update(array("status" => ""));
    header("Location: " . $modulelink);
    exit;
}
if ($_REQUEST["p"] == "disable") {
    $id = $_REQUEST["id"];
    Illuminate\Database\Capsule\Manager::table("mod_redirect")->where("id", $id)->update(array("status" => "on"));
    header("Location: " . $modulelink);
    exit;
}

?>