<?php


if (!defined("WHMCS")) {
    exit("This file cannot be accessed directly");
}
function redirect_config()
{
    $configarray = array("name" => "网址重定向", "description" => "网址重定向器模块将WHMCS上的任何页面重定向到您选择的特定的链接", "version" => "1.0", "author" => "Nelson", "language" => "english", "fields" => array("delete" => array("FriendlyName" => "彻底卸载本模块	", "Type" => "yesno", "Size" => "25", "Description" => "如果您想要彻底卸载模块 勾选本选项以清除模块的相关数据库信息")));
    return $configarray;
}
function redirect_activate()
{
    try {
        if (!Illuminate\Database\Capsule\Manager::schema()->hasTable("mod_redirect")) {
            Illuminate\Database\Capsule\Manager::schema()->create("mod_redirect", function ($table) {
                $table->increments("id");
                $table->text("title");
                $table->text("oldurl");
                $table->text("newurl");
                $table->text("retime");
                $table->text("status");
            });
        }
    } catch (Exception $e) {
        return array("status" => "error", "description" => "Unable to create table mod_redirect: " . $e->getMessage());
    }
    return array("status" => "success", "description" => "Module activated successfully. Click configuration to configure the module");
}
function redirect_deactivate()
{
    $delete = Illuminate\Database\Capsule\Manager::table("tbladdonmodules")->where("module", "redirect")->where("setting", "delete")->first();
    if ($delete->value) {
        try {
            Illuminate\Database\Capsule\Manager::schema()->dropIfExists("mod_redirect");
        } catch (Exception $e) {
            return array("status" => "error", "description" => "Unable to drop tables: " . $e->getMessage());
        }
    }
    return array("status" => "success", "description" => "Module deactivated successfully");
}
function redirect_output($vars)
{
    $modulelink = $vars["modulelink"];
    $LANG = $vars["_lang"];
    require dirname(__FILE__) . "/includes/pages/menu.php";
    if (file_exists(dirname(__FILE__) . "/includes/pages/" . $_REQUEST["a"] . ".php")) {
        require dirname(__FILE__) . "/includes/pages/" . $_REQUEST["a"] . ".php";
    } else {
        require dirname(__FILE__) . "/includes/pages/home.php";
    }
}

?>